<script setup>
import { usePageFrontmatter } from '@vuepress/client';
import Navbar from '@vuepress/theme-default/components/Navbar.vue';
import Sidebar from '@vuepress/theme-default/components/Sidebar.vue';
import ParentLayout from '@vuepress/theme-default/layouts/Layout.vue';
import Bibliography from "../components/Bibliography.vue";
import Breadcrumbs from "../components/Breadcrumbs.vue";
import Footer from "../components/Footer.vue";

const frontmatter = usePageFrontmatter();

</script>

<template>
  <div class="theme-container no-sidebar" v-if="frontmatter.is_viewer">
    <Navbar></Navbar>
    <Sidebar></Sidebar>
    <main class="page viewer-page">
      <Breadcrumbs/>
      <Content/>
      <Footer/>
    </main>
    <div class="bibliography-hidden">
      <Bibliography/>
    </div>
  </div>
  <ParentLayout v-else :class="{'no-sidebar': frontmatter.displayed_sidebar}">
    <template #page-top>
      <Breadcrumbs/>
    </template>
    <template #page-bottom>
      <Footer/>
    </template>
  </ParentLayout>
</template>

<script>
import { mounted_and_updated, toggle_color_mode_button } from '../mounted_and_updated';

export default {
  async mounted() {
    setTimeout(mounted_and_updated, 10);
    document.getElementsByClassName("toggle-color-mode-button")[0].addEventListener("click", toggle_color_mode_button);
  },
  
  async updated() {
    setTimeout(mounted_and_updated, 500);
  }
}
</script>